<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My notes</title>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <style>
        @import url(https://fonts.googleapis.com/css?family=Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic);

        #content {
            display: flex;
            flex-direction: column;
            width: 100%;
            max-width: 670px;
            margin: 0 auto;
            font-family: "Roboto", sans-serif;
        }

        div.note {
            width: 100%;
            border-bottom: 1px solid rgba(0, 0, 0, 0.2);
        }

        p.note {
            font-size: 1.4rem;
        }

        p.author {
            font-style: italic;
        }

        textarea,
        input,
        button {
            width: 100%;
            padding: 0.3rem 0;
            margin-top: 0.3rem;
        }

        label {
            display: block;
        }
    </style>
</head>

<body>
    <div id="content">
        <h1>Notes</h1>
        <div class="form">
            <label for="note-content">Content:</label>
            <textarea name="content" id="note-content" cols="20" rows="4"></textarea>
            <label for="note-author">Author:</label>
            <input type="text" name="author" id="note-author">
            <button type="submit" id="note-save">Save</button>
        </div>
        <div class="notes">
        </div>
    </div>
    <script>
        const ajax = axios.default;
        function loadNotes() {
            ajax.get("http://localhost:5432").then((response) => {
                const parent = document.querySelector("div.notes");
                parent.innerHTML = "";
                for (const note of response.data) {
                    const el = document.createElement("div");
                    el.classList.add("note");
                    el.innerHTML = `<p class="note">${note.content}</p><p class="author">${note.author}</p>`;
                    parent.appendChild(el);
                }
            });
        }

        document.getElementById("note-save").addEventListener("click", () => {
            const elContent = document.getElementById("note-content");
            const elAuthor = document.getElementById("note-author");
            const content = elContent.value;
            const author = elAuthor.value;
            ajax.post("http://localhost:5432", { content, author }).then(() => {
                elContent.value = "";
                elAuthor.value = "";
                loadNotes();
            });
        });

        loadNotes();
    </script>
</body>

</html>
